/****************************************************************/
/*                                                           	*/
/*                       sbl_library.h			        */
/*                                                            	*/
/*      by Fernando Corbacho					*/
/*      Date: March 14th, 1994					*/
/*                                                            	*/
/****************************************************************/

// Gaussian Kernels:
extern nsl_vector gauss1D(nsl_data& sig, int xn);
extern nsl_matrix gauss2D(nsl_data& sig, nsl_data& x, nsl_data& y);

// Convolution operations:
extern nsl_vector wrap_conv(nsl_vector& a, nsl_vector& b);


extern nsl_vector matrix_mult(nsl_matrix& w, nsl_vector& x);

// New convolution function: 
extern nsl_matrix newconv(nsl_matrix&, nsl_matrix&);
extern nsl_matrix conv25_1(nsl_matrix&, nsl_matrix&);
